#version 150 core

in vec4 inputVertexPosition;

uniform float width;
uniform float height;

out vec2 varyingTexCoord;

void main()
{
	varyingTexCoord = (vec2(1.0) + inputVertexPosition.xy)/2.0;
	varyingTexCoord.x = varyingTexCoord.x * width;
	varyingTexCoord.y = varyingTexCoord.y * height;
	gl_Position = vec4(inputVertexPosition.xy, 0.0, 1.0);
}