#version 150 core

in vec3 varyingTexCoord;

uniform sampler3D sliceTexture;

out vec4 fragColor;

void main()
{
	float intensity = texture(sliceTexture, varyingTexCoord);
	fragColor = vec4(vec3(1.0)*intensity, 1.0f);
	
	fragColor = vec4(varyingTexCoord, 1.0);
}