#version 150 core

in vec3 varyingTexCoord;

uniform sampler3D sliceTexture;
uniform sampler1D transferFunction;

out vec4 fragColor;

void main()
{
	vec4 intensity = texture(sliceTexture, varyingTexCoord);
	fragColor = texture(transferFunction, intensity.x);
}