#version 150 core

in vec4 inputVertexPosition;
in vec2 inputTexCoord;

uniform highp mat4 mvpMatrix;
uniform float sliceNumber;
uniform mat4 sliceMatrix;

out vec3 varyingTexCoord;

void main()
{
	varyingTexCoord = (sliceMatrix * vec4(inputTexCoord, sliceNumber, 1.0)).xyz;
	gl_Position = mvpMatrix * inputVertexPosition;
}