/**
 * The main program, which creates a new application and shows the GUI.
 * @author Christian Hirsch
 * @author Clemens Rgner
 */

#define STRINGIZE_HELPER(x) #x
#define STRINGIZE(x) STRINGIZE_HELPER(x)
#define WARNING(desc) message(__FILE__ "(" STRINGIZE(__LINE__) ") : Warning: " #desc)

#define PI acos(-1.0f);

// usage:
//#pragma WARNING(FIXME: Code removed because...)

#include "vis2.hpp"
#include "renderwindow.h"

#include "junctiondetector.h"

#include <QtGui>
#include <QApplication>

int main(int argc, char *argv[])
{
	/*
	float matValues[] = {
		 2.0f,  0.0f,  0.0f,
		 0.0f,  3.0f,  4.0f,
		 0.0f,  4.0f,  9.0f
	};
	QMatrix3x3 mat(matValues);
	float lambdas[3];
	QVector3D evector[3];

	JunctionDetector::calcCubicEquation(mat, lambdas);
	JunctionDetector::eigenvectorSolver(mat, lambdas, evector);

	return 0;
	/* */
	QApplication a(argc, argv);
    Vis2 w;
    w.show();
    return a.exec();
	/* */
}
