#version 150 core

in vec4 inputVertexPosition;

uniform highp mat4 mvpMatrix;
uniform int height;
uniform int width;

out vec3 varyingVertexColor;

void main()
{
	varyingVertexColor = (vec3(1.0) + inputVertexPosition.xyz) / 2.0;
	gl_Position = mvpMatrix * inputVertexPosition;
}